View Issue Details

IDProjectCategoryView StatusLast Update
0002203FreeCADBugpublic2015-09-12 14:48
ReporterSternaAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacbook Pro late 2011OSOS XOS Version10.9.4
Product Version0.15 
Target VersionFixed in Version0.16 
Summary0002203: Incorrect document is activated when working with multiple parts/documents
DescriptionWhen working with several freecad documents (several parts, assemblies etc) and select a feature or a sketch in one document, the wrong document is displayed. If you try to edit a feature or sketch in the active document, and the active document is not the top document, the top document will be activated, leading to much confusion.
Workaround:
Select the correct document in the bottom of the window. Still annoying though, as this should not be needed.
Steps To ReproduceExample 1: 2 parts
1. Create two parts (example parts PartA and PartB) and open them in the same instance of Freecad. The Application tree in the Model view should now have two parts, with PartA at the top.
2. Activate PartB and try to edit a feature or sketch. PartA will now be activated.

Example 2: 3 or more parts
1. Create three (PartA, B and C for example) or more parts and open them the same way as before. The order in the model window should be A, B, C.
2. Activate PartA or PartC and try to edit PartB. This will work correctly.
3. Activate PartB or PartC and try to edit the active part. PartA will now activated.
TagsNo tags attached.

Activities

Sterna

2015-07-30 11:51

reporter  

PartA.FCStd (Attachment missing)

Sterna

2015-07-30 11:52

reporter  

PartB.FCStd (Attachment missing)

Sterna

2015-07-30 11:54

reporter  

PartC.FCStd (Attachment missing)

Related Changesets

FreeCAD: master 568f2634

2015-09-04 21:06:56

wmayer

Details Diff
+ fix switching to another mdi view when using the sketcher creation command from task panel Affected Issues
0002203
mod - src/Gui/TaskView/TaskView.cpp Diff File

FreeCAD: master 134acba9

2015-09-04 21:34:26

wmayer

Details Diff
+ fix switching to another mdi view when using the sketcher creation command from task panel Affected Issues
0002203
mod - src/Gui/TaskView/TaskView.cpp Diff File

Issue History

Date Modified Username Field Change
2015-07-30 11:51 Sterna New Issue
2015-07-30 11:51 Sterna File Added: PartA.FCStd
2015-07-30 11:52 Sterna File Added: PartB.FCStd
2015-07-30 11:54 Sterna File Added: PartC.FCStd
2015-09-12 14:47 wmayer Changeset attached => FreeCAD Master master 568f2634
2015-09-12 14:47 wmayer Changeset attached => FreeCAD Master master 134acba9
2015-09-12 14:48 wmayer Status new => closed
2015-09-12 14:48 wmayer Assigned To => wmayer
2015-09-12 14:48 wmayer Resolution open => fixed
2015-09-12 14:48 wmayer Fixed in Version => 0.16